Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  object Lexer

  Companion object of class `Lexer` which defines tokens and some utility concepts used for tokens and lexers

  Companion object of class `Lexer` which defines tokens and some utility concepts used for tokens and lexers

  Definition Classes
    interactive
- Delim
- FloatLit
- IntLit
- MalformedInput
- StringLit
- Token

c

scala.tools.nsc.interactive.Lexer

# Token 

###

#### class Token extends AnyRef

The class of tokens, i.e. descriptions of input words (or: lexemes).

Source
  Lexer.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Delim, FloatLit, IntLit, StringLit
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Token
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Token(str: String)

   str

     the characters making up this token

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Token to any2stringadd[Token] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Token, B)
   Implicit
     This member is added by an implicit conversion from Token to ArrowAssoc[Token] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Token) ⇒ Boolean, msg: ⇒ Any): Token
   Implicit
     This member is added by an implicit conversion from Token to Ensuring[Token] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Token) ⇒ Boolean): Token
   Implicit
     This member is added by an implicit conversion from Token to Ensuring[Token] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Token
    Implicit
      This member is added by an implicit conversion from Token to Ensuring[Token] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Token
    Implicit
      This member is added by an implicit conversion from Token to Ensuring[Token] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Token to StringFormat[Token] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  val str: String
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      Token → AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  def →[B](y: B): (Token, B)
    Implicit
      This member is added by an implicit conversion from Token to ArrowAssoc[Token] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Token to any2stringadd[Token]

### Inherited by implicit conversion StringFormat from Token to StringFormat[Token]

### Inherited by implicit conversion Ensuring from Token to Ensuring[Token]

### Inherited by implicit conversion ArrowAssoc from Token to ArrowAssoc[Token]

### Ungrouped